
package com.tmerclub.cloud.order.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;

/**
 * 订单退款平台介入相关介入信息
 *
 * @author lhd
 * @date 2023-08-24 14:13:50
 */
public class OrderRefundIntervention extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 退款介入记录ID
     */
    private Long refundIntervertionId;
    /**
     * 商家/供应商/用户id
     */
    private Long bizId;
    /**
     * 系统类型
     */
    private Integer sysType;
    /**
     * 退款号
     */
    private Long refundId;
    /**
     * 凭证说明
     */
    private String voucherDesc;
    /**
     * 文件凭证
     */
    private String imgUrls;

    public Long getRefundIntervertionId() {
        return refundIntervertionId;
    }

    public void setRefundIntervertionId(Long refundIntervertionId) {
        this.refundIntervertionId = refundIntervertionId;
    }

    public Long getBizId() {
        return bizId;
    }

    public void setBizId(Long bizId) {
        this.bizId = bizId;
    }

    public Integer getSysType() {
        return sysType;
    }

    public void setSysType(Integer sysType) {
        this.sysType = sysType;
    }

    public Long getRefundId() {
        return refundId;
    }

    public void setRefundId(Long refundId) {
        this.refundId = refundId;
    }

    public String getVoucherDesc() {
        return voucherDesc;
    }

    public void setVoucherDesc(String voucherDesc) {
        this.voucherDesc = voucherDesc;
    }

    public String getImgUrls() {
        return imgUrls;
    }

    public void setImgUrls(String imgUrls) {
        this.imgUrls = imgUrls;
    }

    @Override
    public String toString() {
        return "OrderRefundIntervention{" +
                "refundIntervertionId=" + refundIntervertionId +
                ", bizId=" + bizId +
                ", sysType=" + sysType +
                ", refundId=" + refundId +
                ", reason='" + voucherDesc + '\'' +
                ", imgUrls='" + imgUrls + '\'' +
                '}';
    }
}
